%define _buildid .6

%global py26nvr python26-pyxattr-%{version}-%{release}
%global py26builddir %{_builddir}/%{py26nvr}
%global py26doc ../%{py26nvr}

%global py27nvr python27-pyxattr-%{version}-%{release}
%global py27builddir %{_builddir}/%{py27nvr}
%global py27doc ../%{py27nvr}

%bcond_without tests # with

%global upstream_name pyxattr

Name: python-pyxattr
Version: 0.5.0
Release: 1%{?_buildid}%{?dist}
Summary: Extended attributes library wrapper for Python
Group: Development/Libraries
License: LGPLv2+
URL: http://pyxattr.sourceforge.net/
Source0: http://downloads.sourceforge.net/pyxattr/pyxattr-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: python26
BuildRequires: python27

%description
Python extension module wrapper for libattr. It allows to query, list,
add and remove extended attributes from files and directories.

%package -n python26-pyxattr
Summary: Extended attributes library wrapper for Python
BuildRequires: python26-devel
BuildRequires: python26-setuptools
BuildRequires: libattr-devel
Provides: python-pyxattr = %{version}-%{release}
Provides: pyxattr = %{version}-%{release}
Provides: pyxattr%{?_isa} = %{version}-%{release}
Provides: python-xattr = %{version}-%{release}
Provides: python-xattr%{?_isa} = %{version}-%{release}
Provides: python-pyxattr%{?_isa} = %{version}-%{release}
Obsoletes: pyxattr <= 0.5.0-1.4.amzn1
Obsoletes: python-xattr <= 0.5.0-1.4.amzn1

%description -n python26-pyxattr
Python extension module wrapper for libattr. It allows to query, list,
add and remove extended attributes from files and directories.

This package is meant to be used with Python 2.6.

%package -n python27-pyxattr
Summary: Extended attributes library wrapper for Python
BuildRequires: python27-devel
BuildRequires: python27-setuptools
BuildRequires: libattr-devel

%description -n python27-pyxattr
Python extension module wrapper for libattr. It allows to query, list,
add and remove extended attributes from files and directories.

This package is meant to be used with Python 2.7.

%prep
%setup -q -n %{upstream_name}-%{version}

%build
rm -rf %{py26builddir}
mkdir -p %{py26builddir}
cp -a * %{py26builddir}
pushd %{py26builddir}
CFLAGS="$RPM_OPT_FLAGS" %{__python26} setup.py build 
popd

rm -rf %{py27builddir}
mkdir -p %{py27builddir}
cp -a * %{py27builddir}
pushd %{py27builddir}
CFLAGS="$RPM_OPT_FLAGS" %{__python27} setup.py build 
popd

%install
rm -rf %{buildroot}

pushd %{py26builddir}
%{__python26} setup.py install -O1 --skip-build --root %{buildroot} --install-layout=amzn
popd

pushd %{py27builddir}
%{__python27} setup.py install -O1 --skip-build --root %{buildroot} --install-layout=amzn
popd

%check
%if %{with tests}
%endif

%clean
rm -rf %{buildroot}
rm -rf %{py26builddir}
rm -rf %{py27builddir}

%files -n python26-pyxattr
%doc COPYING NEWS README
%attr(0755,-,-) %{python26_sitearch}/xattr.so
%{python26_sitearch}/pyxattr-0.5.0.egg-info

%files -n python27-pyxattr
%doc COPYING NEWS README
%attr(0755,-,-) %{python27_sitearch}/xattr.so
%{python27_sitearch}/pyxattr-0.5.0.egg-info

%changelog
* Tue Feb 3 2015 Ben Cressey <bcressey@amazon.com>
- build for multiple pythons

* Thu Jul 21 2011 Cristian Gafton <gafton@amazon.com>
- import source package EPEL6/pyxattr-0.5.0-1.el6

* Tue Jul 19 2011 Cristian Gafton <gafton@amazon.com>
- setup complete for package pyxattr

* Sun Dec 27 2009 Marcin Zajaczkowski <mszpak ATT wp DOTT pl> - 0.5.0-1
- updated to 0.5.0
- added support for unicode filenames (bug 479417)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Dec 6 2008 Marcin Zajaczkowski <mszpak ATT wp DOTT pl> - 0.4.0-2
- added python-setuptools in BuildRequires which is needed in build process
since version 0.4.0 (thanks to Kevin Fenzi)

* Fri Dec 5 2008 Marcin Zajaczkowski <mszpak ATT wp DOTT pl> - 0.4.0-1
- updated to 0.4.0
- License Tag adjusted to current licensing LGPLv2+
- modified Python Eggs support due to its usage in source distribution

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.2.2-4
- Rebuild for Python 2.6

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.2.2-3
- Autorebuild for GCC 4.3

* Tue Jan 15 2008 Marcin Zajaczkowski <mszpak ATT wp DOTT pl> - 0.2.2-2
- added compatibility with Python Eggs forced in F9

* Mon Aug 27 2007 Marcin Zajaczkowski <mszpak ATT wp DOTT pl> - 0.2.2-1
- upgraded to 0.2.2

* Sun Aug 26 2007 Kevin Fenzi <kevin@tummy.com> - 0.2.1-5
- Updated License tag

* Wed Apr 25 2007 Marcin Zajaczkowski <mszpak ATT wp DOTT pl> - 0.2.1-4
- added Provides/Obsoletes tags

* Sat Apr 21 2007 Marcin Zajaczkowski <mszpak ATT wp DOTT pl> - 0.2.1-3
- removed redundant after name change "exclude" tag
 - comments cleanup

* Wed Apr 18 2007 Marcin Zajaczkowski <mszpak ATT wp DOTT pl> - 0.2.1-2
- applied suggestions from Kevin Fenzi
 - name changed from python-xattr to pyxattr
 - corrected path to the source file

* Thu Apr 5 2007 Marcin Zajaczkowski <mszpak ATT wp DOTT pl> - 0.2.1-1
- updated to 0.2.1
 - added python-devel in BuildRequires
 - added more doc files
 - added Provides section
 - modified to Fedora Extras requirements

* Sun Sep 11 2005 Dag Wieers <dag@wieers.com> - 0.2-1 - +/
- Initial package. (using DAR)
